/*
 * GLOBAL STYLES & LAYOUT REFERENCE
 *
 * Source: MediaLoot Blog - "How to Code a Homepage Template with HTML5 and CSS3" by Tony Thomas
 * URL: https://medialoot.com/blog/how-to-code-a-homepage-template-with-html5-and-css3/
 *
 * Notes on Adaptation:
 * The general approach for global attributes (body, headings, links) is derived from this article.
 * Specifically, styles for 'strong' and 'small' elements are being explicitly redefined due to the use of a CSS reset.
*/
body {
  margin: 0;
  padding: 0;
  background-color: #e6efff;
  color: #777;
  font: normal 16px "Times New Roman", Times, serif;
}
p {
  line-height: 20px;
  margin-bottom: 20px;
}
h1 {
  font-family: "Crete Round", serif;
  font-weight: bold;
  color: #444;
  font-size: 45px;
  margin-bottom: 20px;
}
h2 {
  font-family: "Crete Round", serif;
  font-weight: 300;
  font-size: 45px;
  color: #444;
  margin-bottom: 20px;
}
h3 {
  font-family: "Crete Round", serif;
  font-size: 30px;
  color: #444;
  font-weight: bold;
  text-transform: uppercase;
  text-align: center;
  margin-bottom: 20px;
}
h4 {
  font-family: "Crete Round", serif;
  font-size: 24px;
  color: #444;
  font-weight: bold;
  margin-bottom: 20px;
}
h5 {
  font-family: Georgia, "Times New Roman", Times, serif;
  font-size: 15px;
  color: #444;
  font-weight: bold;
}
a {
  text-decoration: none;
  color: #444;
}
strong {
  font-weight: bold;
}
small {
  font-family: "Crete Round", serif;
  font-size: 13px;
  color: #777;
  font-style: italic;
}
.clear {
  clear: both;
}
.wrapper {
  margin: 0 auto;
  padding: 0 10px;
  width: 980px;
}
.more-link:link,
.more-link:visited {
  display: block;
  font-family: "Times New Roman", Times, serif;
  color: rgb(255, 255, 255);
  width: 150px;
  padding: 5px 1px;
  margin: 5px;
  border-radius: 25px;
  background-color: rgba(72, 116, 203, 0.8);
  border: 2px white solid;
  align-content: center;
  text-align: center;
}
.more-link:active,
.more-link:hover {
  font-family: "Times New Roman", Times, serif;
  color: rgb(255, 255, 255);
  background-color: rgb(249, 82, 177);
}

#avatar {
  /* display: inline-block; */
  float: left;
  margin-left: 15rem;
  margin-right: 4rem;
  border-radius: 30px;
  height: 45px;
  width: 45px;
  border: 3px rgba(72, 116, 203, 0.8) solid;
  align-content: center;
}
header {
  position: fixed;
  background-color: rgb(248, 191, 48);
  width: 100%;
  height: 4rem;
  display: flex;
  align-items: center;
  z-index: 20;
}
nav li {
  display: inline-block;
}
nav {
  /* height: 4.5rem; */
  display: flex;
  flex-direction: row;
  justify-content: center;
  font-weight: bold;
}
nav a:link,
nav a:visited {
  display: block;
  font-family: "Times New Roman", Times, serif;
  color: rgb(255, 255, 255);
  width: 150px;
  padding: 5px 1px;
  margin: 5px;
  border-radius: 25px;
  background-color: rgba(72, 116, 203, 0.8);
  border: 2px white solid;
  align-content: center;
  text-align: center;
}
nav a:active,
nav a:hover {
  font-family: "Times New Roman", Times, serif;
  color: rgb(255, 255, 255);
  background-color: rgb(249, 82, 177);
}

#hero-image {
  padding-top: 100px;
  height: 670px;
  background: url("../images/heroimage3.jpg") no-repeat center;
  background-size: cover;
}
#hero-image h2 {
  width: 45rem;
  padding: 2rem 0 5.5rem 3rem;
  font-family: Georgia, "Times New Roman", Times, serif;
  color: white;
  line-height: 4rem;
  background-color: rgba(72, 116, 203, 0.5);
  font-weight: lighter;
  position: relative;
  top: 7rem;
}
.button-1:link,
.button-1:visited {
  display: block;
  font-family: "Times New Roman", Times, serif;
  color: rgb(255, 255, 255);
  width: 150px;
  padding: 5px 1px;
  margin: 5px;
  border-radius: 25px;
  background-color: rgba(157, 40, 247, 0.7);
  border: 2px white solid;
  font-weight: bold;
  align-content: center;
  text-align: center;
  position: relative;
  z-index: 10;
  left: 3rem;
  top: 25px;
  /* bottom: 20px; */
}
.button-1:active,
.button-1:hover {
  font-family: "Times New Roman", Times, serif;
  color: rgb(255, 255, 255);
  background-color: rgb(249, 82, 177);
}

/* Three games features that I concerned */
#features {
  padding-top: 70px;
  display: block;
  /* width: 100%; */
}
#features h3 {
  display: block;
  margin: 0 auto 20px auto;
  width: 300px;
  border-bottom: 5px dotted rgba(72, 116, 203, 0.5);
  padding: 0 0 20px 0;
}
#features ul {
  padding-top: 20px;
  display: flex;
  align-items: start;
  justify-content: space-between;
}

#features ul li {
  width: 300px;
  display: inline-block;
  margin-right: 10px;
  text-align: center;
}

.feature-1 img,
.feature-2 img,
.feature-3 img {
  max-width: 100px;
  width: 30%;
  height: auto;
  padding: 2%;
  border-radius: 30px;
  object-fit: cover;
}
#about_me {
  /* margin-top: 3rem; */
  display: block;
  height: 700px;
  padding: 40px 0;
  text-align: center;
}
#about_me h3 {
  display: block;
  margin: 0 auto 20px auto;
  width: 300px;
  border-bottom: 5px dotted rgba(72, 116, 203, 0.5);
  padding: 0 0 20px 0;
}
#about_me p {
  font-size: 20px;
  line-height: 3rex;
}
#about_me img {
  width: 960px;
  height: auto;
}
/* PC Favorites and Console Picks */
#primary-content {
  display: grid;
  grid-template-columns: auto auto;
  padding: 40px 0 80px 0;
}
#primary-content img {
  width: 240px;
  height: 240px;
}
.card {
  display: flex;
  justify-content: space-between;
  background-color: rgba(228, 213, 241, 0.8);
  margin: 0 10px;
  border-radius: 25px 0 0 25px;
}
.card-intro {
  padding: 10px;
  display: flex;
  flex-direction: column;
  align-content: center;
  /* justify-content: center; */
  align-items: center;
  position: relative;
  left: 30px;
}
.card-intro ol {
  text-align: center;
  line-height: 1.2rem;
  list-style: decimal;
  padding-bottom: 10px;
}
.card-intro h4 {
  text-align: center;
}
/* Current sales in Steam */
#sales h3 {
  display: block;
  margin: 0 auto 20px auto;
  width: 300px;
  border-bottom: 5px dotted rgba(72, 116, 203, 0.5);
  padding: 0 0 20px 0;
}
#sales img {
  width: 960px;
  height: auto;
}
#button-2:link,
#button-2:visited {
  background-color: rgba(255, 105, 75, 0.8);
  position: relative;
  z-index: 10;
  left: 40%;
  bottom: 150px;
}
#button-2:active,
#button-2:hover {
  background-color: rgb(249, 82, 177);
}

/* Footer */
footer {
  background-color: rgba(151, 131, 166);
  width: 100%;
  overflow: hidden;
}
footer div {
  margin-right: 2rem;
  padding: 20px 20px;
}
#footer-info {
  padding: 20px 20px;
  float: left;
}
#footer-info p {
  color: white;
}

#footer-links {
  float: right;
  width: 300px;
}
#footer-links li {
  padding-top: 5px;
  display: inline-block;
}
#footer-links h5 {
  color: white;
  margin-bottom: 5px;
}

.contact-button img {
  padding-right: 20px;
  width: 40px;
  height: 40px;
}
